Get transaction
curl --request GET \
--url https://api.tandapay.io/api/b2b/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"externalReference": "order_10045",
"type": "deposit",
"method": "mpesa",
"amount": 1500,
"currency": "KES",
"senderAmount": 1500,
"senderCurrency": "KES",
"receiverAmount": 1500,
"receiverCurrency": "KES",
"status": "SUCCESSFUL",
"chargeStatus": "successful",
"thirdPartyReference": "TJS4K2LM9P",
"phoneNumber": "254712345678",
"note": "Payment received",
"fullTimestamp": "2026-10-28T09:14:22.000Z"
}
}{
"success": false,
"message": "Unauthorized"
}Transactions
Get transaction
Fetch one transaction by Tanda ID or your reference.
GET
/
api
/
b2b
/
transactions
/
{transactionId}
Get transaction
curl --request GET \
--url https://api.tandapay.io/api/b2b/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"externalReference": "order_10045",
"type": "deposit",
"method": "mpesa",
"amount": 1500,
"currency": "KES",
"senderAmount": 1500,
"senderCurrency": "KES",
"receiverAmount": 1500,
"receiverCurrency": "KES",
"status": "SUCCESSFUL",
"chargeStatus": "successful",
"thirdPartyReference": "TJS4K2LM9P",
"phoneNumber": "254712345678",
"note": "Payment received",
"fullTimestamp": "2026-10-28T09:14:22.000Z"
}
}{
"success": false,
"message": "Unauthorized"
}
